This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 690173 - AttributeError: 'NoneType' object has no attribute 'startswith' - when syncing from dump with --no-rpms
AttributeError: 'NoneType' object has no attribute 'startswith' - when syncin...
Status: CLOSED ERRATA
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server (Show other bugs)
540
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michael Mráka
Red Hat Satellite QA List
:
Depends On: 674528
Blocks: sat54-errata
  Show dependency treegraph
 
Reported: 2011-03-23 10:07 EDT by Michael Mráka
Modified: 2011-03-28 05:32 EDT (History)
3 users (show)

See Also:
Fixed In Version: spacewalk-backend-1.2.13-36
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 674528
Environment:
Last Closed: 2011-03-28 05:32:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Michael Mráka 2011-03-23 10:07:37 EDT
+++ This bug was initially created as a clone of Bug #674528 +++

Description of problem:
During sync from dump with --no-rpms option, I got traceback.


Version-Release number of selected component (if applicable):
spacewalk-postgresql-1.3.3-1.el5
spacewalk-schema-1.3.18-1.el5


How reproducible:
1 of 1


Steps to Reproduce:
1. Have empty Spacewalk
2. Sync custom channels with --no-rpms from dump
   # satellite-sync -m /tmp/mydump -c test-i386-1 --no-rpms


Actual results:
# satellite-sync -m /tmp/mydump -c test-i386-1 --no-rpms
10:06:05 Red Hat Network Satellite - file-system synchronization
10:06:05    mp:  /tmp/mydump
10:06:05    db:  spaceuser/<password>@dbname=spaceschema;host=localhost;port=5432
[...]
10:06:06 Importing package metadata
10:06:06    Importing *relevant* package metadata: test-i386-1 (9)
            ________________________________________
Importing:  +++ sending log as an email +++

SYNC ERROR: unhandled exception occurred:

(Check logs/email for potentially more detail)

'NoneType' object has no attribute 'startswith'


Expected results:
Should work as expected.


Additional info:
When I have removed "--no-rpms" option, sync worked as expected.

When I have then removed channel using spacewalk-remove-channel and tried again (both with and without "--no-rpms" option), sync worked.

--- Additional comment from jhutar@redhat.com on 2011-02-02 05:14:30 EST ---

Traceback sent by email:

Subject: RHN Management Satellite sync. report from hp-nehalem-02.rhts.eng.bos.redhat.com
To: root@hp-nehalem-02.rhts.eng.bos.redhat.com

10:06:06 
SYNC ERROR: unhandled exception occurred:

Exception reported from hp-nehalem-02.rhts.eng.bos.redhat.com
Time: Wed Feb  2 10:06:06 2011
Exception type exceptions.AttributeError

Exception Handler Information
Traceback (most recent call last):
  File "/usr/bin/satellite-sync", line 138, in main
    return satsync.Runner().main()
  File "/usr/lib/python2.4/site-packages/spacewalk/satellite_tools/satsync.py", line 226, in main
    ret = method()
  File "/usr/lib/python2.4/site-packages/spacewalk/satellite_tools/satsync.py", line 342, in _step_packages
    self._affected_channels = self.syncer.import_packages()
  File "/usr/lib/python2.4/site-packages/spacewalk/satellite_tools/satsync.py", line 1602, in import_packages
    [sources])
  File "/usr/lib/python2.4/site-packages/spacewalk/satellite_tools/satsync.py", line 1576, in _proces_batch
    prompt, nevermorethan, process_function_args)
  File "/usr/lib/python2.4/site-packages/spacewalk/satellite_tools/satsync.py", line 1556, in _processWithProgressBar
    process_function(chunk, *process_function_args)
  File "/usr/lib/python2.4/site-packages/spacewalk/satellite_tools/satsync.py", line 1583, in _import_packages_process
    sync_handlers.import_packages(batch, sources)
  File "/usr/lib/python2.4/site-packages/spacewalk/satellite_tools/sync_handlers.py", line 378, in import_packages
    importer.run()
  File "/usr/lib/python2.4/site-packages/spacewalk/server/importlib/importLib.py", line 630, in run
    self.submit()
  File "/usr/lib/python2.4/site-packages/spacewalk/server/importlib/packageImport.py", line 297, in submit
    self._import_signatures()
  File "/usr/lib/python2.4/site-packages/spacewalk/server/importlib/packageImport.py", line 483, in _import_signatures
    full_path = os.path.join(CFG.MOUNT_POINT, package['path'])
  File "/usr/lib/python2.4/posixpath.py", line 60, in join
    if b.startswith('/'):
AttributeError: 'NoneType' object has no attribute 'startswith'

--- Additional comment from jhutar@redhat.com on 2011-02-02 05:16:00 EST ---

This was noticed during investigating this Beaker recipe:

https://beaker.engineering.redhat.com/recipes/101834#task1126542

--- Additional comment from mmraka@redhat.com on 2011-02-04 08:33:00 EST ---

Fixed in
commit 2905144fee9eaf79ad17c40767c652e836245614
    674528 - don't read signatures when there is no rpm (--no-rpms)
Comment 1 Michael Mráka 2011-03-23 10:09:17 EDT
Backported to SATELLITE-5.4 as
commit 36251cab0fc55e1c18f5c28dca7f93b2a6eb3ae4
    674528 - don't read signatures when there is no rpm (--no-rpms)
    (cherry picked from commit 2905144fee9eaf79ad17c40767c652e836245614)
Comment 4 Jiri Kastner 2011-03-23 11:39:28 EDT
[root@tyan-gt24-09 ~]# satellite-sync -c rhn-tools-rhel-i386-server-6 --no-rpms
11:35:19 Red Hat Network Satellite - live synchronization
11:35:19    url: https://satellite.rhn.redhat.com
11:35:19    debug/output level: 1
11:35:19    db:  rhnsat/<password>@rhnsat
11:35:19
11:35:19 Retrieving / parsing channel-families data
11:35:21 channel-families data complete
11:35:23
11:35:23 Retrieving / parsing arches data
11:35:24 arches data complete
11:35:24
11:35:24 Retrieving / parsing additional arches data
11:35:24 additional arches data complete
11:35:24 
11:35:24 Retrieving / parsing channel data
11:36:40    p = previously imported/synced channel
11:36:40    . = channel not yet imported/synced
11:36:40    base-channels:
11:36:40 
11:36:40 Channel data complete
11:36:40 
11:36:40 Retrieving / parsing blacklists data
11:36:40 blacklists data complete
11:36:40 
11:36:40 Retrieving / parsing product names data
11:36:41 product names data complete
11:36:41 
11:36:41 Retrieving short package metadata (used for indexing)
11:36:41    Retrieving / parsing short package metadata: rhn-tools-rhel-i386-server-6 (30)
11:36:42 Diffing package metadata (what's missing locally?): rhn-tools-rhel-i386-server-6
            ________________________________________
Diffing:    ######################################## - complete
11:36:42 
11:36:42 Downloading package metadata
11:36:42    Retrieving / parsing *relevant* package metadata: rhn-tools-rhel-i386-server-6 (NONE RELEVANT)
11:36:42 
11:36:42 Importing package metadata
11:36:42    Importing *relevant* package metadata: rhn-tools-rhel-i386-server-6 (30)
11:36:42    * WARNING: this may be a slow process.
            ________________________________________
Importing:  ######################################## - complete
11:36:46 
11:36:46 Linking packages to channels
11:36:46 

11:36:46 Downloading errata data
11:36:46    Retrieving / parsing errata data: rhn-tools-rhel-i386-server-6 (1)
            ________________________________________
Downloading:######################################## - complete
11:36:47 Downloading errata data complete
11:36:47
11:36:47 Downloading kickstartable trees metadata
11:36:47    Retrieving / parsing kickstart data: rhn-tools-rhel-i386-server-6 (NONE RELEVANT)
11:36:47
11:36:47 Downloading kickstartable trees files
11:36:47    Retrieving / parsing kickstart tree files: rhn-tools-rhel-i386-server-6 (NONE RELEVANT)
11:36:47
11:36:47 Importing channel errata
11:36:47    Importing *relevant* errata: rhn-tools-rhel-i386-server-6 (3)
            ________________________________________
Downloading:######################################## - complete
11:36:48    No new kickstartable tree to import
    Import complete:   
        Begin time: Wed Mar 23 11:35:18 2011
        End time:   Wed Mar 23 11:36:48 2011
        Elapsed:    0 hours, 1 minutes, 29 seconds
Comment 5 errata-xmlrpc 2011-03-28 05:32:21 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0387.html

Note You need to log in before you can comment on or make changes to this bug.